Bug 203956 - [MAINTAINER] www/h2o: Update to 1.5.2
Summary: [MAINTAINER] www/h2o: Update to 1.5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-22 13:27 UTC by Dave Cottlehuber
Modified: 2015-10-26 01:16 UTC (History)
1 user (show)

See Also:
dch: maintainer-feedback+


Attachments
1.5.2.diff v1 (4.76 KB, patch)
2015-10-22 13:27 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2015-10-22 13:27:34 UTC
Created attachment 162352 [details]
1.5.2.diff v1

- Documentation is now shipped and installed
- Minor tweaks
- full changes at https://github.com/h2o/h2o/blob/master/Changes

# poudriere

http://pkg.skunkwerks.at/poudriere/data/10_2_amd64-default/2015-10-22_13h15m02s/logs/h2o-1.5.2.log

# portlint

WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
0 fatal errors and 1 warning found.

# pretty diff

https://github.com/dch/freebsd-ports/tree/h2o
Comment 1 commit-hook freebsd_committer 2015-10-25 23:06:42 UTC
A commit references this bug:

Author: junovitch
Date: Sun Oct 25 23:05:45 UTC 2015
New revision: 400168
URL: https://svnweb.freebsd.org/changeset/ports/400168

Log:
  www/h2o: update 1.5.0 -> 1.5.2

  - Update cmake args and regen cmake patch for the new release
  - Add documentation files to pkg-plist

  Changes:	https://github.com/h2o/h2o/releases/tag/v1.5.1
  Changes:	https://github.com/h2o/h2o/releases/tag/v1.5.2

  PR:		203956
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at> (maintainer)

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/patch-CMakeLists.txt
  head/www/h2o/pkg-plist
Comment 2 Jason Unovitch freebsd_committer 2015-10-25 23:10:23 UTC
Committed.  Thanks again Dave!

Poudriere:
- Checked with defaults (with DOCS) on the following:
9.3-RELEASE-p28      amd64
9.3-RELEASE-p28      i386
10.1-RELEASE-p22     amd64
10.1-RELEASE-p22     i386
10.2-RELEASE-p5      amd64
10.2-RELEASE-p5      i386
11.0-CURRENT r289912 amd64
11.0-CURRENT r289912 i386

- Checked with NOPORTDOCS=yes on 11.0 amd64